LibreOffice LibreOffice 25.8 SDK API Reference

Loading...
Searching...
No Matches
DataPilotFieldGroupBy.idl File Reference

Go to the source code of this file.

## Modules
module | com
module | com::sun
module | com::sun::star
| the module com::sun::star is the root module of the UNO API.
module | com::sun::star::sheet
| Spreadsheet specific interfaces.

## Constant Groups
constants | com::sun::star::sheet::DataPilotFieldGroupBy
| These constants select different types for grouping members of a DataPilot field by date or time.

## Variables
const long | SECONDS = 1
| Groups all members of a DataPilot field containing a date/time value by their current value for seconds.
const long | MINUTES = 2
| Groups all members of a DataPilot field containing a date/time value by their current value for minutes.
const long | HOURS = 4
| Groups all members of a DataPilot field containing a date/time value by their current value for hours.
const long | DAYS = 8
| Groups all members of a DataPilot field containing a date/time value by their calendar day, or by ranges of days.
const long | MONTHS = 16
| Groups all members of a DataPilot field containing a date/time value by their month.
const long | QUARTERS = 32
| Groups all members of a DataPilot field containing a date/time value by their quarter.
const long | YEARS = 64
| Groups all members of a DataPilot field containing a date/time value by their year.